% OpenGL4MatlabDemos
%
% This folder contains M-Files that demonstrate the direct
% use of OpenGL in Matlab in order to create 3D stimuli or
% do other fancy things(TM).
%
% These demos are all pretty beta and a bit rough, so good luck!
%
% CylinderAnnulusOpenGLDemo -- Use OpenGL commands in a Matlab script to
%                              map a 2D image onto a 3D cylindrical projection
%                              surface.
%
% DrawDots3DDemo            -- Demonstrates use of the moglDrawDots3D command for 3D dot drawing,
%                              and of fast GLSL vertex shading for 3D dot animation.
%
% FDFDemo                   -- Demo of "formless dot field" structure from
%                              motion stimulus rendered via moglFDF().
%
% GLSLDemo                  -- Demonstrate use of the GLSL OpenGL Shading language.
%
% MinimalisticOpenGLDemo    -- A nice starter. First draws a simple scene with
%                              simple lighting, then draws a simple animation of
%                              a rotating earth globe, showing basic use of texture
%                              mapping.
%
% MorphDemo              -- This demo shows how to load premade 3D objects from filesystem and
%                           how to morph them into each other via the Psychtoolbox function
%                           moglmorpher(). Psychtoolbox can load simple Alias-Wavefront OBJ
%                           files that can be created in standard 3D software.
%
% MorphTextureDemo       -- Like MorphDemo, but also with GPU accelerated texture morphing.
%
% ShepardZoomDemo        -- A visual version of the Shepard tone illusion.
%
% SpinningCubeDemo       -- Extends on UtahTeapotDemo by introducing texture mapping.
%
% SpinningMovieCube      -- Extends SpinningCubeDemo with cube faces that play back
%                           a Quicktime movie file, demonstrating exchange of textures
%                           between Psychtoolbox and Matlab OpenGL.
%
% SuperShapeDemo         -- Render so called SuperShapes in OpenGL.
%
% UtahTeapotDemo         -- Draws a rotating 3D teapot, demonstrates basic setup
%                           of lighting, camera and geometry.
%
% VRHMDDemo1             -- Display 3D rendered scene on a VR HMD headset for true immersion.
