% Psychtoolbox:Psychometric.
%
% help Psychtoolbox % For an overview, triple-click me & hit enter.
%
%  AreaUnderROC         - Compute the area under a ROC function.
%  ComputeLogistic      - Compute value of logistic function.
%  ComputeNakaRushton   - Compute values of the Naka-Rushton function.
%  ComputeOptimalBeta   - Compute the optimal decision criterion for Normal.
%  ComputeWeibTAFC      - Compute Weibull for TAFC psychometric functions.
%  ComputeWeibYN        - Compute Weibull for Y/N psychometric functions.
%  DbToLog              - Convert between decibels and log units.
%  FindAlphaWeibTAFC    - Find the alpha parameter for TAFC experiments.
%  FindEpsWeibTAFC      - Find the epsilon parameter for TAFC experiments.
%  FindThreshWeibTAFC   - Find threshold from Weibull parameters for TAFC
%  FindThreshWeibYN     - Find threshold from Weibull parameters for YN
%  FitCumNormYN         - Fit comulative normal for YN experiments (uses optimization toolbox).
%  FitLogistic          - Fit a logistic function.
%  FitLogitYN           - Fit a logistic function for YN experiments.
%  FitNakaRushton       - Fit a Naka-Rushton function to data.
%  FitWeibAlphTAFC      - Fit Weibull with beta fixed, for TAFC (uses optimization toolbox).
%  FitWeibTAFC          - Fit Weibull for TAFC experiments (uses optimization toolbox).
%  FitWeibYN            - Fit Weibull for YN experiments (uses optimization toolbox).
%  GiveFeedback         - Give auditory feedback.
%  InvertLogistic       - Invert the logistic function.
%  LogToDB              - Convert from log units to decibels.
%  NormLikelyRatio      - Compute likelihood ratio for two Normal distributions.
%  NormLogLikelyRatio   - Comptue log likelihood ratio for two Normal distributions.
%  NormalROC            - Generate the ROC curve for a normal distribution.
%  SimWeibTAFCObs       - Simulate a Weibull observer.

% Copyright (c) 1996-2007 by David Brainard & Denis Pelli
